Bug 1224550 - [abrt] poedit: poedit killed by SIGSEGV
Summary: [abrt] poedit: poedit killed by SIGSEGV
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: poedit
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:61c8e14ec9eeb318fd2769427b6...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-24 14:10 UTC by christian.kirbach@googlemail.com
Modified: 2015-06-15 13:30 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-06-15 13:29:11 UTC


Attachments (Terms of Use)
File: backtrace (106.23 KB, text/plain)
2015-05-24 14:10 UTC, christian.kirbach@googlemail.com
no flags Details
File: cgroup (220 bytes, text/plain)
2015-05-24 14:10 UTC, christian.kirbach@googlemail.com
no flags Details
File: core_backtrace (43.19 KB, text/plain)
2015-05-24 14:10 UTC, christian.kirbach@googlemail.com
no flags Details
File: dso_list (13.08 KB, text/plain)
2015-05-24 14:10 UTC, christian.kirbach@googlemail.com
no flags Details
File: environ (1.27 KB, text/plain)
2015-05-24 14:10 UTC, christian.kirbach@googlemail.com
no flags Details
File: limits (1.29 KB, text/plain)
2015-05-24 14:11 UTC, christian.kirbach@googlemail.com
no flags Details
File: maps (67.75 KB, text/plain)
2015-05-24 14:11 UTC, christian.kirbach@googlemail.com
no flags Details
File: mountinfo (4.14 KB, text/plain)
2015-05-24 14:11 UTC, christian.kirbach@googlemail.com
no flags Details
File: namespaces (85 bytes, text/plain)
2015-05-24 14:11 UTC, christian.kirbach@googlemail.com
no flags Details
File: open_fds (3.09 KB, text/plain)
2015-05-24 14:11 UTC, christian.kirbach@googlemail.com
no flags Details
File: proc_pid_status (965 bytes, text/plain)
2015-05-24 14:11 UTC, christian.kirbach@googlemail.com
no flags Details
File: var_log_messages (2.49 KB, text/plain)
2015-05-24 14:11 UTC, christian.kirbach@googlemail.com
no flags Details

Description christian.kirbach@googlemail.com 2015-05-24 14:10:46 UTC
Description of problem:
Opened a PO file

Version-Release number of selected component:
poedit-1.7.6-1.fc22

Additional info:
reporter:       libreport-2.5.1
backtrace_rating: 3
cmdline:        poedit
executable:     /usr/bin/poedit
global_pid:     25833
kernel:         4.0.3-300.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 6 (10 frames)
 #0 ??
 #1 PerformSearchWithBlock<(anonymous namespace)::PerformSearch(Lucene::IndexSearcherPtr, Lucene::QueryPtr, const wstring&, Lucene::QueryPtr, SuggestionsList&, double, double)::<lambda(Lucene::DocumentPtr, double)> > at tm/transmem.cpp:193
 #2 (anonymous namespace)::PerformSearch at tm/transmem.cpp:241
 #3 TranslationMemoryImpl::Search at tm/transmem.cpp:301
 #4 Search at tm/transmem.cpp:519
 #5 TranslationMemory::SuggestTranslation(Language const&, std::basic_string<wchar_t, std::char_traits<wchar_t>, std::allocator<wchar_t> > const&, std::function<void (std::vector<Suggestion, std::allocator<Suggestion> > const&)>, std::function<void (std::__exception_ptr::exception_ptr)>) at tm/transmem.cpp:529
 #6 operator() at tm/suggestions.cpp:51
 #7 __call<void> at /usr/include/c++/5.1.1/functional:1074
 #8 operator()<, void> at /usr/include/c++/5.1.1/functional:1133
 #9 __invoke<std::_Bind<SuggestionsProviderImpl::SuggestTranslation(SuggestionsBackend&, const Language&, const wstring&, SuggestionsProvider::success_func_type, SuggestionsProvider::error_func_type)::<lambda()>()> > at /usr/include/c++/5.1.1/functional:201

Comment 1 christian.kirbach@googlemail.com 2015-05-24 14:10:52 UTC
Created attachment 1029208 [details]
File: backtrace

Comment 2 christian.kirbach@googlemail.com 2015-05-24 14:10:53 UTC
Created attachment 1029209 [details]
File: cgroup

Comment 3 christian.kirbach@googlemail.com 2015-05-24 14:10:55 UTC
Created attachment 1029210 [details]
File: core_backtrace

Comment 4 christian.kirbach@googlemail.com 2015-05-24 14:10:57 UTC
Created attachment 1029211 [details]
File: dso_list

Comment 5 christian.kirbach@googlemail.com 2015-05-24 14:10:59 UTC
Created attachment 1029212 [details]
File: environ

Comment 6 christian.kirbach@googlemail.com 2015-05-24 14:11:00 UTC
Created attachment 1029213 [details]
File: limits

Comment 7 christian.kirbach@googlemail.com 2015-05-24 14:11:02 UTC
Created attachment 1029214 [details]
File: maps

Comment 8 christian.kirbach@googlemail.com 2015-05-24 14:11:04 UTC
Created attachment 1029215 [details]
File: mountinfo

Comment 9 christian.kirbach@googlemail.com 2015-05-24 14:11:05 UTC
Created attachment 1029216 [details]
File: namespaces

Comment 10 christian.kirbach@googlemail.com 2015-05-24 14:11:06 UTC
Created attachment 1029217 [details]
File: open_fds

Comment 11 christian.kirbach@googlemail.com 2015-05-24 14:11:08 UTC
Created attachment 1029218 [details]
File: proc_pid_status

Comment 12 christian.kirbach@googlemail.com 2015-05-24 14:11:09 UTC
Created attachment 1029219 [details]
File: var_log_messages

Comment 13 Fedora Update System 2015-05-26 19:04:30 UTC
poedit-1.8-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/poedit-1.8-1.fc22

Comment 14 Fedora Update System 2015-05-26 19:04:36 UTC
poedit-1.8-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/poedit-1.8-1.fc21

Comment 15 Mario Blättermann 2015-05-26 19:06:12 UTC
Well, I'm not sure if the update to the latest upstream version solves the problem, but it's worth an attempt anyway.

Comment 16 christian.kirbach@googlemail.com 2015-05-26 21:49:36 UTC
It is a crash in the translation memory plugin. I haven't investigated it yet.

The update has not landed in my repository yet, will get back to you later.

Comment 17 c72578 2015-05-27 14:01:43 UTC
Poedit 1.8.1 has been released in the meantime:
- Fix TM-related crash under heavy concurrency.

Further relevant bug fixes of 1.8.1:
- Don't allow pasting into Source text control
- Disable Replace menu item when Find is disabled
- Fix typo in #elif defined branch

Comment 18 Fedora Update System 2015-05-28 10:08:51 UTC
poedit-1.8.1-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/poedit-1.8.1-1.fc22

Comment 19 Fedora Update System 2015-05-28 10:10:00 UTC
poedit-1.8.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/poedit-1.8.1-1.fc21

Comment 20 Fedora Update System 2015-05-28 12:04:34 UTC
Package poedit-1.8-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing poedit-1.8-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9013/poedit-1.8-1.fc22
then log in and leave karma (feedback).

Comment 21 christian.kirbach@googlemail.com 2015-05-28 17:36:32 UTC
New release does no longer crash. Thanks.

Comment 22 Fedora Update System 2015-06-15 13:29:11 UTC
poedit-1.8.1-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2015-06-15 13:30:43 UTC
poedit-1.8.1-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.